{% extends 'report/insights/insights.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('report/insights/general_statistics') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('report/insights/general_statistics') }}
{% endblock %}

{% block main %}
    <div class="container-lg mt-4">
        <div class="mdc-card mb-4">
            <div class="p-3">
                <h2 class="mb-3 fs-3">LeAn<sup>®</sup>-Kennzahlen</h2>
                <p>Hier finden sich Allgemeine Statitsiken und Kennzahlen, die sich aus den in LeAn® erfassten Daten ableiten lassen.</p>
            </div>
        </div>
        <div class="mdc-card mb-4">
            {% include 'component/mdc_tab_bar_component.html.twig' with {
                'id': 'general_statistics_tab_bar',
                'tabs': [
                    {'name': 'Immobilienbesatz', 'id': 'property_stock_tab', 'active': true},
                    {'name': 'Kontakte ', 'id': 'person_tab', 'active': false},
                    {'name': 'Nutzer:innen ', 'id': 'user_tab', 'active': false},
                    {'name': 'Leerstandsmeldungen ', 'id': 'property_vacancy_report_tab', 'active': false},
                    {'name': 'Gesuchsmeldungen ', 'id': 'looking_for_property_request_report_tab', 'active': false},
                ]
            } only %}
            <div id="property_stock_container" class="p-4"></div>
            <div id="person_container" class="p-4 d-none">
                {% include 'report/component/insights/general_statistics_person_container.html.twig' %}
            </div>
            <div id="user_container" class="p-4 d-none">
                {% include 'report/component/insights/general_statistics_user_container.html.twig' with {'userStatistics': userStatistics} only %}
            </div>
            <div id="property_vacancy_report_container" class="p-4 d-none"></div>
            <div id="looking_for_property_request_report_container" class="p-4 d-none"></div>
        </div>
    </div>
{% endblock %}
